Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions | Variables
closure.c File Reference
`#include <fiddle.h>`
`#include <ruby/thread.h>`

Go to the source code of this file.

## Data Structures
struct | fiddle_closure
struct | callback_args

## Macros
#define | USE_FFI_CLOSURE_ALLOC 1

## Functions
int | ruby_thread_has_gvl_p (void)
void | Init_fiddle_closure (void)

## Variables
VALUE | cFiddleClosure
const rb_data_type_t | closure_data_type

## Macro Definition Documentation

## ◆ USE_FFI_CLOSURE_ALLOC

#define USE_FFI_CLOSURE_ALLOC 1

Definition at line 23 of file closure.c.

## Function Documentation

## ◆ Init_fiddle_closure()

void Init_fiddle_closure | ( | void |  | ) |

Definition at line 292 of file closure.c.

References cFiddleClosure, mFiddle, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), and rb_define_module().

## ◆ ruby_thread_has_gvl_p()

int ruby_thread_has_gvl_p | ( | void |  | ) |

Definition at line 1705 of file thread.c.

Referenced by rb_fatal().

## Variable Documentation

## ◆ cFiddleClosure

VALUE cFiddleClosure

Definition at line 6 of file closure.c.

Referenced by Init_fiddle_closure().

## ◆ closure_data_type

const rb_data_type_t closure_data_type

Initial value:
= {
"fiddle/closure",
{0, dealloc, closure_memsize,},
}

Definition at line 55 of file closure.c.